org.apache.olingo.ext.proxy.utils

## Class CoreUtils

- java.lang.Object
- - org.apache.olingo.ext.proxy.utils.CoreUtils

-     public final class CoreUtils
      extends Object

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `addAnnotations(EdmEnabledODataClient client, Map<Class<? extends AbstractTerm>,Object> annotations, ClientAnnotatable annotatable)`
    `static void` | `addProperties(EdmEnabledODataClient client, Map<String,Object> changes, ClientComplexValue entity)`
    `static void` | `addProperties(EdmEnabledODataClient client, Map<String,Object> changes, ClientEntity entity)`
    `static URIBuilder` | `buildEditLink(EdmEnabledODataClient client, String entitySetURI, Object key)`
    `static Collection<Class<? extends AbstractTerm>>` | `getAnnotationTerms(AbstractService<?> service, List<ClientAnnotation> annotations)`
    `static Class<?>` | `getComplexTypeRef(AbstractService<?> service, ClientValue value)`
    `static Map<String,Object>` | `getCompoundKey(Object key)`
    `static Object` | `getKey(EdmEnabledODataClient client, EntityInvocationHandler typeHandler, Class<?> entityTypeRef, ClientEntity entity)`
    `static URI` | `getMediaEditLink(String name, ClientEntity entity)`
    `static Object` | `getObjectFromODataValue(ClientValue value, Class<?> ref, AbstractService<?> service)`
    `static Object` | `getObjectFromODataValue(ClientValue value, Type typeRef, AbstractService<?> service)`
    `static ClientAnnotation` | `getODataAnnotation(EdmEnabledODataClient client, String term, EdmType type, Object obj)`
    `static ClientProperty` | `getODataProperty(EdmEnabledODataClient client, String name, org.apache.olingo.commons.core.edm.EdmTypeInfo type, Object obj)`
    `static ClientValue` | `getODataValue(EdmEnabledODataClient client, org.apache.olingo.commons.core.edm.EdmTypeInfo type, Object obj)`
    `static URI` | `getTargetEntitySetURI(EdmEnabledODataClient client, NavigationProperty property)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getODataValue

          public static ClientValue getODataValue(EdmEnabledODataClient client,
                                                  org.apache.olingo.commons.core.edm.EdmTypeInfo type,
                                                  Object obj)

    - #### getODataAnnotation

          public static ClientAnnotation getODataAnnotation(EdmEnabledODataClient client,
                                                            String term,
                                                            EdmType type,
                                                            Object obj)

    - #### getODataProperty

          public static ClientProperty getODataProperty(EdmEnabledODataClient client,
                                                        String name,
                                                        org.apache.olingo.commons.core.edm.EdmTypeInfo type,
                                                        Object obj)

    - #### addProperties

          public static void addProperties(EdmEnabledODataClient client,
                                           Map<String,Object> changes,
                                           ClientEntity entity)

    - #### addProperties

          public static void addProperties(EdmEnabledODataClient client,
                                           Map<String,Object> changes,
                                           ClientComplexValue entity)

    - #### addAnnotations

          public static void addAnnotations(EdmEnabledODataClient client,
                                            Map<Class<? extends AbstractTerm>,Object> annotations,
                                            ClientAnnotatable annotatable)

    - #### buildEditLink

          public static URIBuilder buildEditLink(EdmEnabledODataClient client,
                                                 String entitySetURI,
                                                 Object key)

    - #### getCompoundKey

          public static Map<String,Object> getCompoundKey(Object key)

    - #### getKey

          public static Object getKey(EdmEnabledODataClient client,
                                      EntityInvocationHandler typeHandler,
                                      Class<?> entityTypeRef,
                                      ClientEntity entity)

    - #### getObjectFromODataValue

          public static Object getObjectFromODataValue(ClientValue value,
                                                       Type typeRef,
                                                       AbstractService<?> service)
                                                throws InstantiationException,
                                                       IllegalAccessException

      Throws:
        `InstantiationException`
        `IllegalAccessException`

    - #### getObjectFromODataValue

          public static Object getObjectFromODataValue(ClientValue value,
                                                       Class<?> ref,
                                                       AbstractService<?> service)
                                                throws InstantiationException,
                                                       IllegalAccessException

      Throws:
        `InstantiationException`
        `IllegalAccessException`

    - #### getAnnotationTerms

          public static Collection<Class<? extends AbstractTerm>> getAnnotationTerms(AbstractService<?> service,
                                                                                     List<ClientAnnotation> annotations)

    - #### getComplexTypeRef

          public static Class<?> getComplexTypeRef(AbstractService<?> service,
                                                   ClientValue value)

    - #### getMediaEditLink

          public static URI getMediaEditLink(String name,
                                             ClientEntity entity)

    - #### getTargetEntitySetURI

          public static URI getTargetEntitySetURI(EdmEnabledODataClient client,
                                                  NavigationProperty property)

Copyright © 2013–2022 The Apache Software Foundation. All rights reserved.